Just in case, my SUSE version is openSUSE 12.0 x86_64

I've already installed lightspark via YAST, checked the installation in the terminal, and its ok.

Also, the file liblightsparkplugin.so is present at /usr/lib64/browser-plugins, with the other plugins. However, Firefox does not identify lightspark plugin.

Lightspark is not listed as a plugin in the Add-Ons Manager (Tools>Add-Ons). I've also tried to "Install Add-On from file", using the .so file mentioned, and I get the message that the file "appears to be corrupt".

So, I am without support for AVM2.